openwebbeans-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From build...@apache.org
Subject svn commit: r996637 - in /websites/staging/openwebbeans/trunk/content: ./ download.html modules.html openwebbeans-el.html owbsetup_ee.html
Date Sun, 04 Sep 2016 09:24:54 GMT
Author: buildbot
Date: Sun Sep  4 09:24:53 2016
New Revision: 996637

Log:
Staging update by buildbot for openwebbeans

Modified:
    websites/staging/openwebbeans/trunk/content/   (props changed)
    websites/staging/openwebbeans/trunk/content/download.html
    websites/staging/openwebbeans/trunk/content/modules.html
    websites/staging/openwebbeans/trunk/content/openwebbeans-el.html
    websites/staging/openwebbeans/trunk/content/owbsetup_ee.html

Propchange: websites/staging/openwebbeans/trunk/content/
------------------------------------------------------------------------------
--- cms:source-revision (original)
+++ cms:source-revision Sun Sep  4 09:24:53 2016
@@ -1 +1 @@
-1747357
+1759157

Modified: websites/staging/openwebbeans/trunk/content/download.html
==============================================================================
--- websites/staging/openwebbeans/trunk/content/download.html (original)
+++ websites/staging/openwebbeans/trunk/content/download.html Sun Sep  4 09:24:53 2016
@@ -86,10 +86,32 @@ h2:hover > .headerlink, h3:hover > .head
 <p>The GPG keys in the <a href="http://www.apache.org/dist/openwebbeans/KEYS">OpenWebBeans
KEYS file</a> to validate our releases.
 Read more about <a href="http://www.apache.org/info/verification.html">How we sign
Apache Releases</a></p>
 <hr />
+<h2 id="owb-17x">OWB-1.7.x<a class="headerlink" href="#owb-17x" title="Permanent
link">&para;</a></h2>
+<p>OWB-1.7.x implements the full CDI-1.2 specification.
+It uses a shaded version of ASM-5 for building our proxies and needs JavaSE 7 as minimum
version.
+This version removed support for older technologies like JSF-1.2, EL-1.0 and Tomcat6</p>
+<h4 id="binaries">Binaries<a class="headerlink" href="#binaries" title="Permanent
link">&para;</a></h4>
+<p>The binary distribution contains all OpenWebBeans modules.</p>
+<ul>
+<li><a href="http://www.apache.org/dyn/closer.lua/openwebbeans/1.7.0/openwebbeans-distribution-1.7.0-binary.zip">openwebbeans-distribution-1.7.0-binary.zip</a></li>
+<li><a href="http://www.apache.org/dist/openwebbeans/1.7.0/openwebbeans-distribution-1.7.0-binary.zip.sha1">openwebbeans-distribution-1.7.0-binary.zip.sha1</a></li>
+<li><a href="http://www.apache.org/dist/openwebbeans/1.7.0/openwebbeans-distribution-1.7.0-binary.zip.asc">openwebbeans-distribution-1.7.0-binary.zip.asc</a></li>
+<li><a href="http://www.apache.org/dyn/closer.lua/openwebbeans/1.7.0/openwebbeans-distribution-1.7.0-binary.tar.gz">openwebbeans-distribution-1.7.0-binary.tar.gz</a></li>
+<li><a href="http://www.apache.org/dist/openwebbeans/1.7.0/openwebbeans-distribution-1.7.0-binary.tar.gz.sha1">openwebbeans-distribution-1.7.0-binary.tar.gz.sha1</a></li>
+<li><a href="http://www.apache.org/dist/openwebbeans/1.7.0/openwebbeans-distribution-1.7.0-binary.tar.gz.asc">openwebbeans-distribution-1.7.0-binary.tar.gz.asc</a></li>
+</ul>
+<h4 id="source">Source<a class="headerlink" href="#source" title="Permanent link">&para;</a></h4>
+<p>Should you want to build any of the above binaries, this source bundle is the right
one and covers them all.</p>
+<ul>
+<li><a href="http://www.apache.org/dyn/closer.lua/openwebbeans/1.7.0/openwebbeans-1.7.0-source-release.zip">openwebbeans-1.7.0-source-release.zip</a></li>
+<li><a href="http://www.apache.org/dist/openwebbeans/1.7.0/openwebbeans-1.7.0-source-release.zip.sha1">openwebbeans-1.7.0-source-release.zip.sha1</a></li>
+<li><a href="http://www.apache.org/dist/openwebbeans/1.7.0/openwebbeans-1.7.0-source-release.zip.asc">openwebbeans-1.7.0-source-release.zip.asc</a></li>
+</ul>
+<hr />
 <h2 id="owb-16x">OWB-1.6.x<a class="headerlink" href="#owb-16x" title="Permanent
link">&para;</a></h2>
 <p>OWB-1.6.x implements the full CDI-1.2 specification.
 It uses a shaded version of ASM-5 for building our proxies and needs JavaSE 6 as minimum
version.</p>
-<h4 id="binaries">Binaries<a class="headerlink" href="#binaries" title="Permanent
link">&para;</a></h4>
+<h4 id="binaries_1">Binaries<a class="headerlink" href="#binaries_1" title="Permanent
link">&para;</a></h4>
 <p>The binary distribution contains all OpenWebBeans modules.</p>
 <ul>
 <li><a href="http://www.apache.org/dyn/closer.lua/openwebbeans/1.6.3/openwebbeans-distribution-1.6.3-binary.zip">openwebbeans-distribution-1.6.3-binary.zip</a></li>
@@ -99,7 +121,7 @@ It uses a shaded version of ASM-5 for bu
 <li><a href="http://www.apache.org/dist/openwebbeans/1.6.3/openwebbeans-distribution-1.6.3-binary.tar.gz.sha1">openwebbeans-distribution-1.6.3-binary.tar.gz.sha1</a></li>
 <li><a href="http://www.apache.org/dist/openwebbeans/1.6.3/openwebbeans-distribution-1.6.3-binary.tar.gz.asc">openwebbeans-distribution-1.6.3-binary.tar.gz.asc</a></li>
 </ul>
-<h4 id="source">Source<a class="headerlink" href="#source" title="Permanent link">&para;</a></h4>
+<h4 id="source_1">Source<a class="headerlink" href="#source_1" title="Permanent
link">&para;</a></h4>
 <p>Should you want to build any of the above binaries, this source bundle is the right
one and covers them all.</p>
 <ul>
 <li><a href="http://www.apache.org/dyn/closer.lua/openwebbeans/1.6.3/openwebbeans-1.6.3-source-release.zip">openwebbeans-1.6.3-source-release.zip</a></li>
@@ -110,7 +132,7 @@ It uses a shaded version of ASM-5 for bu
 <h2 id="owb-12x">OWB-1.2.x<a class="headerlink" href="#owb-12x" title="Permanent
link">&para;</a></h2>
 <p>OWB-1.2.x implements the CDI-1.0 specification and internally already CDI-1.1.
 It uses a shaded version of ASM-5 for building our proxies and needs JavaSE 5 as minimum
version.</p>
-<h4 id="binaries_1">Binaries<a class="headerlink" href="#binaries_1" title="Permanent
link">&para;</a></h4>
+<h4 id="binaries_2">Binaries<a class="headerlink" href="#binaries_2" title="Permanent
link">&para;</a></h4>
 <p>The binary distribution contains all OpenWebBeans modules.</p>
 <ul>
 <li><a href="http://www.apache.org/dyn/closer.lua/openwebbeans/1.2.8/openwebbeans-distribution-1.2.8-binary.zip">openwebbeans-distribution-1.2.8-binary.zip</a></li>
@@ -124,7 +146,7 @@ It uses a shaded version of ASM-5 for bu
 The jars you need depends on what modules you include.
 They are all contained in the binary distribution.
 We will try to add complete lists of this in the future, meanwhile please ask on the list
or maybe look at the pom.xml for the modules you want to use.</p>
-<h4 id="source_1">Source<a class="headerlink" href="#source_1" title="Permanent
link">&para;</a></h4>
+<h4 id="source_2">Source<a class="headerlink" href="#source_2" title="Permanent
link">&para;</a></h4>
 <p>Should you want to build any of the above binaries, this source bundle is the right
one covers them all.</p>
 <ul>
 <li><a href="http://www.apache.org/dyn/closer.lua/openwebbeans/1.2.8/openwebbeans-1.2.8-source-release.zip">openwebbeans-1.2.8-source-release.zip</a></li>

Modified: websites/staging/openwebbeans/trunk/content/modules.html
==============================================================================
--- websites/staging/openwebbeans/trunk/content/modules.html (original)
+++ websites/staging/openwebbeans/trunk/content/modules.html Sun Sep  4 09:24:53 2016
@@ -91,7 +91,7 @@ h2:hover > .headerlink, h3:hover > .head
 <li><a href="openwebbeans-tomcat.html">Tomcat plugins 6 &amp; 7</a></li>
 <li><a href="openwebbeans-jms.html">JMS plugin</a></li>
 <li><a href="openwebbeans-jsf.html">JSF plugins</a></li>
-<li><a href="openwebbeans-el10.html">EL 1.0 plugin</a></li>
+<li><a href="openwebbeans-el.html">EL 2.2 plugin</a></li>
 <li><a href="openwebbeans-resource.html">EE Resource plugin</a></li>
 <li><a href="openwebbeans-osgi.html">OSGi plugin</a></li>
 <li><a href="owbtest.html">CDI Test Framework</a></li>

Modified: websites/staging/openwebbeans/trunk/content/openwebbeans-el.html
==============================================================================
--- websites/staging/openwebbeans/trunk/content/openwebbeans-el.html (original)
+++ websites/staging/openwebbeans/trunk/content/openwebbeans-el.html Sun Sep  4 09:24:53 2016
@@ -89,16 +89,6 @@ h2:hover > .headerlink, h3:hover > .head
     <span class="nt">&lt;scope&gt;</span>compile<span class="nt">&lt;/scope&gt;</span>
 <span class="nt">&lt;/dependency&gt;</span>
 </pre></div>
-
-
-<h3 id="el-11-module">EL 1.1 Module<a class="headerlink" href="#el-11-module" title="Permanent
link">&para;</a></h3>
-<div class="codehilite"><pre><span class="nt">&lt;dependency&gt;</span>
-    <span class="nt">&lt;groupId&gt;</span>org.apache.openwebbeans<span
class="nt">&lt;/groupId&gt;</span>
-    <span class="nt">&lt;artifactId&gt;</span>openwebbeans-el11<span
class="nt">&lt;/artifactId&gt;</span>
-    <span class="nt">&lt;version&gt;</span><span class="cp">${</span><span
class="n">owb</span><span class="o">.</span><span class="n">version</span><span
class="cp">}</span><span class="nt">&lt;/version&gt;</span>
-    <span class="nt">&lt;scope&gt;</span>compile<span class="nt">&lt;/scope&gt;</span>
-<span class="nt">&lt;/dependency&gt;</span>
-</pre></div>
         </div>
 
         <hr>

Modified: websites/staging/openwebbeans/trunk/content/owbsetup_ee.html
==============================================================================
--- websites/staging/openwebbeans/trunk/content/owbsetup_ee.html (original)
+++ websites/staging/openwebbeans/trunk/content/owbsetup_ee.html Sun Sep  4 09:24:53 2016
@@ -110,24 +110,20 @@ But since OpenWebBeans is modular you sh
 <h3 id="plugins">Plugins<a class="headerlink" href="#plugins" title="Permanent link">&para;</a></h3>
 <p>The following plugins are very useful if you need JSF, expression language (el)
etc. Add accordingly to your needs.</p>
 <ul>
-<li><strong><a href="/download.html#plugins-version">openwebbeans-el11</a></strong></li>
 <li><strong><a href="/download.html#plugins-version">openwebbeans-el22</a></strong></li>
 <li><strong><a href="/download.html#plugins-version">openwebbeans-tomcat7</a></strong></li>
 <li><strong><a href="/download.html#plugins-version">openwebbeans-tomcat6</a></strong></li>
-<li><strong><a href="/download.html#plugins-version">openwebbeans-jsf12</a></strong></li>
 <li><strong><a href="/download.html#plugins-version">openwebbeans-jsf22</a></strong></li>
 </ul>
 <h3 id="when-to-use-respective-plugin">When to use respective plugin<a class="headerlink"
href="#when-to-use-respective-plugin" title="Permanent link">&para;</a></h3>
 <p>If the project uses Expression Language add EL plugin accordingly to your version.
This is required for using EL.</p>
 <ul>
-<li>Expression Language 1.1 - <strong><a href="/download.html#plugins-version">openwebbeans-jsf12</a></strong></li>
 <li>Expression Language 2.2 / 3.0 - <strong><a href="/download.html#plugins-version">openwebbeans-el22</a></strong></li>
 </ul>
 <p></br>
 For JSF support add JSF plugin accordingly to your version of JSF. This plugin is required
for JSF support and do not forget the include the EL-plugin explained above.</p>
 <ul>
 <li>Java Server Faces 2.0 or later - <strong><a href="/download.html#plugins-version">openwebbeans-jsf22</a></strong></li>
-<li>Java Server Faces 1.1/1.2 - <strong><a href="/download.html#plugins-version">openwebbeans-jsf12</a></strong></li>
 </ul>
 <p>If the project uses Tomcat 6 or Tomcat 7 you can add the respective plugin. This
is not required but enables injection in Servlets and Filters. Note that Tomcat7 should be
read as Tomcat7+ thus it works perfectly fine with Tomcat 8.</p>
 <ul>



Mime
View raw message